# CI Build Template
.build-pexes:
    image: python:3.10
    script:
        - pip install build twine poetry pytest
        - WD=$PWD
        - cd ${PEX_PATH}
        - poetry install --with test;cd -
        - NAME=$(awk -F' = ' '/^\[tool.poetry\]/ { project = 1; next } /^\[.*\]/ { project = 0 } project && $1 == "name" { gsub(/"/, "", $2); print $2 }' pyproject.toml)
        - VERSION=$(sed -n 's/^__version__ = "\(.*\)\"$/\1/p' */__init__.py)
        - 'curl --header "JOB-TOKEN: $CI_JOB_TOKEN" --upload-file ${PEX_PATH}/dist/${NAME}-${VERSION}-py3-none-any.whl "$CI_API_V4_URL/projects/$CI_PROJECT_ID/packages/generic/${NAME}/${VERSION}/${NAME}-${VERSION}-py3-none-any.whl"'
        - pytest test
        - cd $WD